Package net.snowflake.client.jdbc

## Enum SnowflakeType.JavaSQLType

- java.lang.Object
- - java.lang.Enum<SnowflakeType.JavaSQLType>
  - - net.snowflake.client.jdbc.SnowflakeType.JavaSQLType

All Implemented Interfaces:
  `Serializable`, `Comparable<SnowflakeType.JavaSQLType>`

Enclosing class:
  SnowflakeType

    public static enum SnowflakeType.JavaSQLType
    extends Enum<SnowflakeType.JavaSQLType>

### Enum Constant Summary

Enum Constants
`ARRAY`
`BIGINT`
`BINARY`
`BIT`
`BLOB`
`BOOLEAN`
`CHAR`
`CLOB`
`DATALINK`
`DATE`
`DECIMAL`
`DISTINCT`
`DOUBLE`
`FLOAT`
`INTEGER`
`JAVA_OBJECT`
`LONGNVARCHAR`
`LONGVARBINARY`
`LONGVARCHAR`
`NCHAR`
`NCLOB`
`NULL`
`NUMERIC`
`NVARCHAR`
`OTHER`
`REAL`
`REF`
`REF_CURSOR`
`ROWID`
`SMALLINT`
`SQLXML`
`STRUCT`
`TIME`
`TIME_WITH_TIMEZONE`
`TIMESTAMP`
`TIMESTAMP_WITH_TIMEZONE`
`TINYINT`
`VARBINARY`
`VARCHAR`
`VECTOR`

### Field Summary

Fields
`static Set<SnowflakeType.JavaSQLType>` `ALL_TYPES`

### Method Summary

All Methods Static Methods Concrete Methods
`static SnowflakeType.JavaSQLType` `find​(int type)`
`static SnowflakeType.JavaSQLType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static SnowflakeType.JavaSQLType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ARRAY

    public static final SnowflakeType.JavaSQLType ARRAY

#### DATALINK

    public static final SnowflakeType.JavaSQLType DATALINK

#### BIGINT

    public static final SnowflakeType.JavaSQLType BIGINT

#### BINARY

    public static final SnowflakeType.JavaSQLType BINARY

#### BIT

    public static final SnowflakeType.JavaSQLType BIT

#### BLOB

    public static final SnowflakeType.JavaSQLType BLOB

#### BOOLEAN

    public static final SnowflakeType.JavaSQLType BOOLEAN

#### CHAR

    public static final SnowflakeType.JavaSQLType CHAR

#### CLOB

    public static final SnowflakeType.JavaSQLType CLOB

#### DATE

    public static final SnowflakeType.JavaSQLType DATE

#### DECIMAL

    public static final SnowflakeType.JavaSQLType DECIMAL

#### DISTINCT

    public static final SnowflakeType.JavaSQLType DISTINCT

#### DOUBLE

    public static final SnowflakeType.JavaSQLType DOUBLE

#### FLOAT

    public static final SnowflakeType.JavaSQLType FLOAT

#### INTEGER

    public static final SnowflakeType.JavaSQLType INTEGER

#### JAVA_OBJECT

    public static final SnowflakeType.JavaSQLType JAVA_OBJECT

#### LONGNVARCHAR

    public static final SnowflakeType.JavaSQLType LONGNVARCHAR

#### LONGVARBINARY

    public static final SnowflakeType.JavaSQLType LONGVARBINARY

#### LONGVARCHAR

    public static final SnowflakeType.JavaSQLType LONGVARCHAR

#### NCHAR

    public static final SnowflakeType.JavaSQLType NCHAR

#### NCLOB

    public static final SnowflakeType.JavaSQLType NCLOB

#### NULL

    public static final SnowflakeType.JavaSQLType NULL

#### NUMERIC

    public static final SnowflakeType.JavaSQLType NUMERIC

#### NVARCHAR

    public static final SnowflakeType.JavaSQLType NVARCHAR

#### OTHER

    public static final SnowflakeType.JavaSQLType OTHER

#### REAL

    public static final SnowflakeType.JavaSQLType REAL

#### REF

    public static final SnowflakeType.JavaSQLType REF

#### REF_CURSOR

    public static final SnowflakeType.JavaSQLType REF_CURSOR

#### ROWID

    public static final SnowflakeType.JavaSQLType ROWID

#### SMALLINT

    public static final SnowflakeType.JavaSQLType SMALLINT

#### SQLXML

    public static final SnowflakeType.JavaSQLType SQLXML

#### STRUCT

    public static final SnowflakeType.JavaSQLType STRUCT

#### TIME

    public static final SnowflakeType.JavaSQLType TIME

#### TIME_WITH_TIMEZONE

    public static final SnowflakeType.JavaSQLType TIME_WITH_TIMEZONE

#### TIMESTAMP

    public static final SnowflakeType.JavaSQLType TIMESTAMP

#### TIMESTAMP_WITH_TIMEZONE

    public static final SnowflakeType.JavaSQLType TIMESTAMP_WITH_TIMEZONE

#### TINYINT

    public static final SnowflakeType.JavaSQLType TINYINT

#### VARBINARY

    public static final SnowflakeType.JavaSQLType VARBINARY

#### VARCHAR

    public static final SnowflakeType.JavaSQLType VARCHAR

#### VECTOR

    public static final SnowflakeType.JavaSQLType VECTOR

### Field Detail

#### ALL_TYPES

    public static final Set<SnowflakeType.JavaSQLType> ALL_TYPES

### Method Detail

#### values

    public static SnowflakeType.JavaSQLType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SnowflakeType.JavaSQLType c : SnowflakeType.JavaSQLType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SnowflakeType.JavaSQLType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### find

    public static SnowflakeType.JavaSQLType find​(int type)